## org.firebirdsql.gds
Class ClassFactory

    java.lang.Object
      org.firebirdsql.gds.ClassFactory

    public class ClassFactory

extends Object

Returns classes either by the `Class.forName` method or by using an already cached instance.

Author:
  Steven Jardine

Field Summary
`static String` `DriverConnectionPoolDataSource`
`static String` `FBCallableStatement`
`static String` `FBConnection`
`static String` `FBConnectionPoolDataSource`
`static String` `FBPreparedStatement`
`static String` `FBSavepoint`
`static String` `FBStatement`
`static String` `JavaGDSImpl`

Constructor Summary
`ClassFactory()`

Method Summary
`static Class` `get(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DriverConnectionPoolDataSource

    public static final String DriverConnectionPoolDataSource

See Also:
  Constant Field Values

### FBCallableStatement

    public static final String FBCallableStatement

See Also:
  Constant Field Values

### FBConnection

    public static final String FBConnection

See Also:
  Constant Field Values

### FBConnectionPoolDataSource

    public static final String FBConnectionPoolDataSource

See Also:
  Constant Field Values

### FBPreparedStatement

    public static final String FBPreparedStatement

See Also:
  Constant Field Values

### FBSavepoint

    public static final String FBSavepoint

See Also:
  Constant Field Values

### FBStatement

    public static final String FBStatement

See Also:
  Constant Field Values

### JavaGDSImpl

    public static final String JavaGDSImpl

See Also:
  Constant Field Values

Constructor Detail

### ClassFactory

    public ClassFactory()

Method Detail

### get

    public static Class get(String className)

  Parameters:
    `className` - the class name to return.
  Returns:
    the class corresponding to the string class name.

Copyright © 2001-2010. All Rights Reserved.